#ifndef _BSP_TIMER_H
#define _BSP_TIMER_H

#include <stdint.h>
#include "gen/TimerModule.h"

#define timer_t timermodule_t

inline void prescaler_init(timer_t* reg, uint16_t value){
    set_timer_prescaler(reg, value);
}

inline void timer_t0__init(apb3timer_t *reg) {
  set_timer_t0_overflow(reg, 0xffffffff);
}

inline void timer_t1__init(apb3timer_t *reg) {
  set_timer_t1_overflow(reg, 0xffffffff);
}

#endif /* _BSP_TIMER_H */
